(function(){
    var Support = function () {

        // private functions & variables

        var _initComponents = function() {
            
            // init tags        
            $(".support-taskbody-tags").select2({
                placeholder: 'Status'
            });
        }

        var _handleProjectListMenu = function() {
            if (App.getViewPort().width <= 992) {
                $('.support-project-list-content').addClass("collapse");
            } else {
                $('.support-project-list-content').removeClass("collapse").css("height", "auto");
            }
        }

        // public functions
        return {

            //main function
            init: function () {
                _initComponents();     
                _handleProjectListMenu();

                App.addResizeHandler(function(){
                    _handleProjectListMenu();    
                });       
            }

        };

    }();

    $(document).ready(function() {
        Support.init();
    });
})();